Sterownik zamknięty do GF6100

#1

Używam MABOX 18.12, jądro 4.19 i 4.14
Mam płytę główną z chipsetem nvidia 405 zawierającym grafikę GF6100. Chcę zainstalować sterownik zamknięty do tej karty (nVidia304) ale w repozytoriach Manjaro go nie ma.
Próbowałem zainstalować sterownik ściągnięty ze strony nVidia.com lecz pojawia się błąd z sugestią by przekompilować jądro ze zmienionymi parametrami.

Jakieś podpowiedzi jak sobie z tym poradzić?

PS1. Na bocznym dysku mam Mageia 6.1. Tam sterownik zamknięty działa na jądrze 4.14 ale na 4.18 już nie.

PS2. Skąd wziąć kod źródłowy kernela? Same nagłówki nie wystarczą. Czy można go znaleźć w repo okołoarchowych by zainstalować „po bożemu” via pacman?

0 Likes

#2

Z tego co wiem to sterowniki nvidia-304 nie są wspierane od xorg 1.20, dlatego nie ma ich w repo. Pozostaje 340 lub 390.

0 Likes

#3

tu masz do koloru do wyboru:

https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/
do tego PKGBULID napisać i zbudować sobie własny kernel…

a co do nvidii do bawiłem się w zamknięte sterowniki ale 10 lat temu ( jak NV wspierała w 100% Linux’a teraz to różnie bywa )

0 Likes

#4
$>>> pamac search nvidia-304

linux-rt-manjaro-nvidia-304xx                                          4.18-1       community 
  NVIDIA drivers for linux.
linux418-rt-nvidia-304xx                                               1:304.137-3  community 
  NVIDIA drivers for linux.

Na pewno nie ma? Skorzystaj z Menadżera Ustawień Manjaro sekcji Konfiguracja Sprzętowa
lub z poradnika Konfiguracja Kart Graficznych Manjaro Wiki

Repo manjaro stable:

0 Likes

#5

Owszem, jest - ale, to wersja RT. Nie korzystałm nigdy z takiego kernel’a, więc nie wiem jak sprawuje się w zastosowaniach ogólnych.

0 Likes

#6

No jest. I cóż z tego skoro jako zależności wymaga nvidia-304xx-utils a tego pakietu nie ma w repo.
Wolałbym też jądro z głównego szeregu a nie real time. Ale to sprawa drugorzędna.

0 Likes

#7

Czyli w repozytoriach nie ma źródeł jądra, na którym pracuję/pacujemy.
W kompilowanie jąder ze strony kernel.org bawiłem się jakieś 10 lat temu, kiedy repozytoria dystrybucji były mocno szczerbate. I raczej do tego nie wrócę.

0 Likes

#8

Niewykluczone że jest coś na rzeczy. Owa Mageia 6.1 kernel-4.14, która pracuje na nvidia304, używa xorg 1.19.

0 Likes

#9

A skąd przekonanie, że nie ma w repo nvidia-304xx-utils? To, że nie ma jawnie, nie znaczy, że nie jest zawarte w innym pakiecie. Próbowałeś zainstalować?

0 Likes

#10

Przeszukałem trochę googla i lepiej będzie zainstalować sterowniki nouveau, chyba że chcesz zmienić wersję xorg, nawet jeśli to zrobisz, będziesz musiał znaleźć sterowniki 304xx, które są na stronie Nvidii, ale one sięgają aż 319.32.
Tak jak pisał @aquila i ma rację, wspierane były do Xorg 1.9.

Co do nouveau pod manjaro: https://wiki.manjaro.org/index.php/Configure_Graphics_Cards#NVIDIA_Proprietary_.28non-free.29_drivers

0 Likes

#11

Próbowałem. “Nierozwiązane zależności …”

0 Likes

#12

Cały czas używam nouveau. Problem w tym że jest powolny, a co gorsza od czasu do czasu (raz dziennie) powoduje zawieszenie komputera.
“Raz dziennie” to złe sformułowanie. Zwiech następuje często wtedy gdy uruchamiam więcej niż jeden program ko

No i stało się. W trakcie edytowania tego wpisu uruchomiłem LibreOffice. Prócz palemoon czuwała jeszcze kaffeine. Nastąpiło zawieszenie, na ekranie kaszana. tylko twardy reset pomógł.

0 Likes

#13

Dziękuję wszystkim za zainteresowanie i zaangażowanie. Widzę że rewolucja jaką musiałbym uczynić w systemie niewarta jest zachodu. Bezpieczniej będzie kupić jakąś używaną kartę z demobilu pracującą z dostępnymi sterownikami.
Proponuję zamknąć temat.

0 Likes

zamknięcie #14
0 Likes